/*---------------------------------------------------------------------------------------------------*\
|   PROGRAM NAME: 999-shutdown.sas                                                                    |
|                                                                                                     |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Version: Revised 1.0                                                                              |
|   Date: November 26, 2015                                                                           |
|                                                                                                     |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Program inputs:                                                                                   |
|       Common Components                                                                             |
|       Utility Code, Module Code, Lookup tables needed for producing the summary tables              |
|       MSCDM tables: DEMTABLE, ENRTABLE, DIATABLE, DISTABLE, PROCTABLE                               |
|                                                                                                     |
|   Program outputs:                                                                                  |
|      All of the temporary, intermediate, and final outputs to produce the summary tables            |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Contact:                                                                                          |
|       Mini-Sentinel Coordinating Center                                                             |
|       info@mini-sentinel.org                                                                        |
\*---------------------------------------------------------------------------------------------------*/

/*******************************************************************************************/
/***  PLEASE DO NOT CHANGE SETTINGS                                                      ***/
/*******************************************************************************************/

/* Capture overall ST END TIME and calculate duration*/
%global st_end_time ;
%TimeStamp(parm=st_end_time);
%TimeReport(st_start_time, st_end_time) ;

/* Update runtimes dataset and create overall signature file using  */
/* runtimes dataset and other attributes globally captured          */
%SigFiles_Finalize(MSOC.ModuleDuration, MSOC.Overall_SignatureFile)

*^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^;
*                                                                                                     ;
* The package finished without any fatal problems detected.                                           ;
*                                                                                                     ;
*^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^;

/* Return control to user log */
proc printto log=log;
run;

*^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^;
*                                                                                                     ;
* The package finished without any fatal problems detected.                                           ;
*                                                                                                     ;
*^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^;

* End of 999-shutdown.sas;
