/*---------------------------------------------------------------------------------------------------*\
|   PROGRAM NAME: age_groups.sas                                                                      |
|                                                                                                     |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Version: Revised 1.0                                                                              |
|   Date: August 24, 2015                                                                             |
|                                                                                                     |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Program inputs:                                                                                   |
|       None - table is created through hard-coding                                                   |
|                                                                                                     |
|   Program outputs:                                                                                  |
|       One table named AGE_GROUPS                                                                    |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Contact:                                                                                          |
|       Mini-Sentinel Coordinating Center                                                             |
|       info@mini-sentinel.org                                                                        |
\*---------------------------------------------------------------------------------------------------*/

*** Create AGE_GROUPS table and save to DP local libname;
proc sql;
  create table DPLocal.AGE_GROUPS(
    ID                   num     length=3 format=2.  label="ID"
    , Strat10_name       char(5)          format=$5. label="10 Stratifications"
    , Strat10_sort_order num     length=3 format=3.  label="Strat 10 Sort Order"
    , Strat7_name        char(5)          format=$5. label="7 Stratifications"
    , Strat7_sort_order  num     length=3 format=2.  label="Strat 7 Sort Order"
    , Strat4_name        char(5)          format=$5. label="4 Stratifications"
    , Strat4_sort_order  num     length=3 format=2.  label="Strat 4 Sort Order"
    , Strat2_name        char(8)          format=$8. label="2 Stratifications"
    , Strat2_sort_order  num     length=3 format=2.  label="Strat 2 Sort Order"
  );
  insert into DPLocal.AGE_GROUPS
    values(1,  "0-1",   10, "0-4",   10, "0-21",  10, "Under 65", 10)
    values(2,  "2-4",   20, "0-4",   10, "0-21",  10, "Under 65", 10)
    values(3,  "5-9",   30, "5-9",   20, "0-21",  10, "Under 65", 10)
    values(4,  "10-14", 40, "10-18", 30, "0-21",  10, "Under 65", 10)
    values(5,  "15-18", 50, "10-18", 30, "0-21",  10, "Under 65", 10)
    values(6,  "19-21", 60, "19-21", 40, "0-21",  10, "Under 65", 10)
    values(7,  "22-44", 70, "22-44", 50, "22-44", 20, "Under 65", 10)
    values(8,  "45-64", 80, "45-64", 60, "45-64", 30, "Under 65", 10)
    values(9,  "65-74", 90, "65+",   70, "65+",   40, "65+",      20)
    values(10, "75+",  100, "65+",   70, "65+",   40, "65+",      20)
  ;
quit;

* End of age_groups.sas;
