/*---------------------------------------------------------------------------------------------------*\
|   PROGRAM NAME: rx_generic_name.sas                                                                 |
|     Creates the prevalent Generic Name Summary Table                                                |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Version: Revised 1.0                                                                              |
|   Date: September 25, 2015                                                                          |
|   MOD: 10/11/15 -RR: Made use of call to macro rx_prev_summ                                         |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Program inputs:                                                                                   |
|       Multiple tables named RxGenericNameYYY1, RxGenericNameYYY2, RxGenericNameYYY3, etc.           |
|       NDC lookup table with 1:1 Generic Name keys and Generic Name descriptions                     |
|   Program outputs:                                                                                  |
|       Prevalent Generic Name Summary Table                                                          |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Contact:                                                                                          |
|       Mini-Sentinel Coordinating Center                                                             |
|       info@mini-sentinel.org                                                                        |
\*---------------------------------------------------------------------------------------------------*/

%rx_prev_summ(
  RxType=GenericName,
  OutputName=Generic_name,
  DescriptionLength=30,
  DescriptionLabel=Generic Name/Category
  );

* End of rx_generic_name.sas;
